
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef imu_POSTER_XML_LIB_H
#define imu_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "imuPrintXML.h"
#include "imuPosterLib.h"

/* Prototypes */
void webimu(FILE *f, int argc, char **argv, char **argn);
extern STATUS imuCntrlPosterXML (FILE *f);
extern STATUS imuCntrlPosterActivityXML (FILE *f);
extern STATUS imuSensorsPosterXML (FILE *f);
extern STATUS imuSensorssensorsPosterXML (FILE *f);
extern STATUS imuAttitudeEstimationPosterXML (FILE *f);
extern STATUS imuAttitudeEstimationattitudeEstimationPosterXML (FILE *f);
extern STATUS imuSEPosPosterXML (FILE *f);
extern STATUS imuSEPosposPosterXML (FILE *f);
extern STATUS imuMonitoringPosterXML (FILE *f);
extern STATUS imuMonitoringmonitorDataPosterXML (FILE *f);
#endif /* IMU_POSTER_XML_LIB_H */

